=== debian/changelog ===
xasm (3.2.1-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Thu, 8 Dec 2022 09:30:29 +0100

xasm (3.2.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Tue, 22 Jun 2021 20:59:45 +0200

xasm (3.1.1-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Wed, 20 Nov 2019 13:30:11 +0100

xasm (3.1.0-1) UNRELEASED; urgency=low

  * First deb packaging.

 -- Piotr Fusik <fox@scene.pl>  Sun, 20 Jul 2014 19:08:15 +0200
